package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.CouponTypeEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2021/9/8 0008
 */
public class SysCouponQueryInfo extends QueryInfo {

    @ApiModelProperty("券类型:FULL_REDUCTION(满减券)，DISCOUNT(折扣券)")
    private CouponTypeEnum type;

    @ApiModelProperty("状态：0停用，1启用")
    private Integer status;

    public CouponTypeEnum getType() {
        return type;
    }

    public void setType(CouponTypeEnum type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
